#
# spec file for package xset
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xset
Version:        1.2.3
Release:        6.4
Summary:        User preference utility for X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfontcache)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xxf86misc)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program is used to set various user preference options of the
display.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xset
%{_mandir}/man1/xset.1%{?ext_man}

%changelog
* Sat Aug 17 2013 zaitor@opensuse.org
- Update to version 1.2.3:
  + Pass buf size to on_or_off instead of just assuming it is big
    enough.
  + Add -version flag.
  + Fix integer sign/size conversion warnings from clang.
  + Add printf attribute to usage function and fix warnings it
    causes.
  + Fix gcc warnings about discarded const qualifiers.
  + Combine error message strings.
  + Combine usage message strings.
  + Drop usleep fallbacks for ancient OS versions.
  + Remove unneeded include of windows.h on WIN32.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.2.2:
  + Remove direct call to Solaris nanosleep system call
  + Mark error() & usage() functions as _X_NORETURN
  + Give better error for "xset dpms force" without argument
  + Print pixel colors in hex not decimal
  + Man page fixes.
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new upstream dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xset from xorg-x11. Initial version: 1.2.1.
